Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Class FTPSCommand

    java.lang.Object
      org.apache.commons.net.ftp.FTPSCommand

    public final class FTPSCommand

extends Object

FTPS-specific command

Since:
  2.0

Field Summary
`static int` | `ADAT`
`static int` | `AUTH`
`static int` | `AUTHENTICATION_SECURITY_DATA`
`static int` | `AUTHENTICATION_SECURITY_MECHANISM`
`static int` | `CCC`
`static int` | `CLEAR_COMMAND_CHANNEL`
`static int` | `DATA_CHANNEL_PROTECTION_LEVEL`
`static int` | `PBSZ`
`static int` | `PROT`
`static int` | `PROTECTION_BUFFER_SIZE`

Constructor Summary
`FTPSCommand()`

Method Summary
`static String` | `getCommand(int command)` Retrieve the FTPS command string corresponding to a specified command code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTH

    public static final int AUTH

See Also:
  Constant Field Values

### ADAT

    public static final int ADAT

See Also:
  Constant Field Values

### PBSZ

    public static final int PBSZ

See Also:
  Constant Field Values

### PROT

    public static final int PROT

See Also:
  Constant Field Values

### CCC

    public static final int CCC

See Also:
  Constant Field Values

### AUTHENTICATION_SECURITY_MECHANISM

    public static final int AUTHENTICATION_SECURITY_MECHANISM

See Also:
  Constant Field Values

### AUTHENTICATION_SECURITY_DATA

    public static final int AUTHENTICATION_SECURITY_DATA

See Also:
  Constant Field Values

### PROTECTION_BUFFER_SIZE

    public static final int PROTECTION_BUFFER_SIZE

See Also:
  Constant Field Values

### DATA_CHANNEL_PROTECTION_LEVEL

    public static final int DATA_CHANNEL_PROTECTION_LEVEL

See Also:
  Constant Field Values

### CLEAR_COMMAND_CHANNEL

    public static final int CLEAR_COMMAND_CHANNEL

See Also:
  Constant Field Values

Constructor Detail

### FTPSCommand

    public FTPSCommand()

Method Detail

### getCommand

    public static final String getCommand(int command)

  Retrieve the FTPS command string corresponding to a specified command code.

  Parameters:
    `command` - The command code.
  Returns:
    The FTPS command string corresponding to a specified command code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.